Package ru.bitel.bgbilling.kernel.script.common.bean

# Class GlobalScriptLink

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.script.common.bean.GlobalScriptLink

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class GlobalScriptLink extends IdTitle
Привязка глобального скрипта к динамическим Java-классам.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalScriptLink()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Имя
  `GlobalScriptLink`
  `setClassName(String className)`
  Имя класса, к которому привязан глобальный скрипт.
  `GlobalScriptLink`
  `setId(int id)`
  Устанавливает id объекта
  `GlobalScriptLink`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### GlobalScriptLink

    public GlobalScriptLink()

- ## Method Details

  - ### getClassName

    public String getClassName()
    Имя
    Returns:

  - ### setClassName

    public GlobalScriptLink setClassName(String className)
    Имя класса, к которому привязан глобальный скрипт.
    Parameters:
      `className` -

  - ### setId

    public GlobalScriptLink setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public GlobalScriptLink setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`